package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.AgeStructure;
import com.lightinit.hsdatashow.entity.AgeStructureExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface AgeStructureMapper {
    long countByExample(AgeStructureExample example);

    int deleteByExample(AgeStructureExample example);

    int deleteByPrimaryKey(Long id);

    int insert(AgeStructure record);

    int insertSelective(AgeStructure record);

    List<AgeStructure> selectByExample(AgeStructureExample example);

    AgeStructure selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") AgeStructure record, @Param("example") AgeStructureExample example);

    int updateByExample(@Param("record") AgeStructure record, @Param("example") AgeStructureExample example);

    int updateByPrimaryKeySelective(AgeStructure record);

    int updateByPrimaryKey(AgeStructure record);

}